org.apache.http.impl.nio.codecs

## Class DefaultHttpResponseParserFactory

- java.lang.Object
- - org.apache.http.impl.nio.codecs.DefaultHttpResponseParserFactory

All Implemented Interfaces:
  NHttpMessageParserFactory<HttpResponse>

    @Immutable
    public class DefaultHttpResponseParserFactory
    extends Object
    implements NHttpMessageParserFactory<HttpResponse>

Default factory for response message parsers.

Since:
  4.3

### Field Summary

Fields
`static DefaultHttpResponseParserFactory` `INSTANCE`

### Constructor Summary

Constructors
Constructor and Description
`DefaultHttpResponseParserFactory()`
`DefaultHttpResponseParserFactory(LineParser lineParser, HttpResponseFactory responseFactory)`

### Method Summary

Methods
`NHttpMessageParser<HttpResponse>` `create(SessionInputBuffer buffer, MessageConstraints constraints)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final DefaultHttpResponseParserFactory INSTANCE

### Constructor Detail

#### DefaultHttpResponseParserFactory

    public DefaultHttpResponseParserFactory(LineParser lineParser,
                                    HttpResponseFactory responseFactory)

#### DefaultHttpResponseParserFactory

    public DefaultHttpResponseParserFactory()

### Method Detail

#### create

    public NHttpMessageParser<HttpResponse> create(SessionInputBuffer buffer,
                                          MessageConstraints constraints)

Specified by:
  `create` in interface `NHttpMessageParserFactory<HttpResponse>`